Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgCurvePolygonCollection Class Reference
[MgCurvePolygonCollection]

MgCurvePolygonCollection provides support for defining an ordered set of curve polygons. More...

Inherits MgGuardDisposable.

List of all members.

## Public Member Functions
virtual void | Add (MgCurvePolygon *value)
| Adds the specified coordinate to the end of the collection.
virtual void | Clear ()
| Removes all curve polygons from the collection.
virtual bool | Contains (const MgCurvePolygon *value) const
| Returns true if the collection contains the specified curve polygon, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of curve polygons in the collection.
virtual MgCurvePolygon * | GetItem (INT32 index) const
| Gets the curve polygon in the collection at the specified index. Throws an invalid argument exception if the index is out of range.
virtual INT32 | IndexOf (const MgCurvePolygon *value) const
| Returns the index of the specified curve polygon in the collection or -1 if the curve polygon does not exist.
virtual void | Insert (INT32 index, MgCurvePolygon *value)
| Inserts the specified curve polygon at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item. Throws an invalid argument exception if the specified index is out of range.
| MgCurvePolygonCollection ()
| Construct a MgCurvePolygonCollection object.
virtual bool | Remove (const MgCurvePolygon *value)
| Removes the specified curve polygon from the collection. Returns false if the curve polygon could not be removed.
virtual void | RemoveAt (INT32 index)
| Removes the curve polygon at the specified index from the collection. Throws an invalid argument exception if the index does not exist within the collection.
virtual void | SetItem (INT32 index, MgCurvePolygon *value)
| Sets the curve polygon in the collection at the specified index to the specified value. Throws an invalid argument exception if the index is out of range.

## Detailed Description

MgCurvePolygonCollection provides support for defining an ordered set of curve polygons.

Comments or suggestions? Send us feedback.